Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.jbosscommon51
Class ResourceEnvRefTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.jbosscommon51.ResourceEnvRefTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, ResourceEnvRefType<T>

    public class ResourceEnvRefTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, ResourceEnvRefType<T>

This class implements the `resource-env-refType` xsd type

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`ResourceEnvRefTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`ResourceEnvRefTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<InjectionTargetType<ResourceEnvRefType<T>>>` | `getInjectionTargetList()` Returns all `injection-target` elements
`java.lang.String` | `getJndiName()` Returns the `jndi-name` element
`java.lang.String` | `getMappedName()` Returns the `mapped-name` element
`java.lang.String` | `getResourceEnvRefName()` Returns the `resource-env-ref-name` element
`java.lang.String` | `getResourceEnvRefType()` Returns the `resource-env-ref-type` element
`ResourceEnvRefType<T>` | `ignoreDependency()`
`InjectionTargetType<ResourceEnvRefType<T>>` | `injectionTarget()` Returns the `injection-target` element
`java.lang.Boolean` | `isIgnoreDependency()`
`ResourceEnvRefType<T>` | `removeAllDescription()` Removes the `description` element
`ResourceEnvRefType<T>` | `removeAllInjectionTarget()` Removes all `injection-target` elements
`ResourceEnvRefType<T>` | `removeJndiName()` Removes the `jndi-name` element
`ResourceEnvRefType<T>` | `removeMappedName()` Removes the `mapped-name` element
`ResourceEnvRefType<T>` | `removeResourceEnvRefName()` Removes the `resource-env-ref-name` element
`ResourceEnvRefType<T>` | `removeResourceEnvRefType()` Removes the `resource-env-ref-type` element
`ResourceEnvRefType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`ResourceEnvRefType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`ResourceEnvRefType<T>` | `setJndiName(java.lang.String jndiName)` If not already created, a new `jndi-name` element with the given value will be created.
`ResourceEnvRefType<T>` | `setMappedName(java.lang.String mappedName)` If not already created, a new `mapped-name` element with the given value will be created.
`ResourceEnvRefType<T>` | `setResourceEnvRefName(java.lang.String resourceEnvRefName)` If not already created, a new `resource-env-ref-name` element with the given value will be created.
`ResourceEnvRefType<T>` | `setResourceEnvRefType(java.lang.String resourceEnvRefType)` If not already created, a new `resource-env-ref-type` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceEnvRefTypeImpl

    public ResourceEnvRefTypeImpl(T t,
                                  java.lang.String nodeName,
                                  org.jboss.shrinkwrap.descriptor.spi.Node node)

### ResourceEnvRefTypeImpl

    public ResourceEnvRefTypeImpl(T t,
                                  java.lang.String nodeName,
                                  org.jboss.shrinkwrap.descriptor.spi.Node node,
                                  org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setJndiName

    public ResourceEnvRefType<T> setJndiName(java.lang.String jndiName)

  If not already created, a new `jndi-name` element with the given value will be created. Otherwise, the existing `jndi-name` element will be updated with the given value.

  Specified by:
    `setJndiName` in interface `ResourceEnvRefType<T>`
  Returns:
    the current instance of `ResourceEnvRefType`

### removeJndiName

    public ResourceEnvRefType<T> removeJndiName()

  Removes the `jndi-name` element

  Specified by:
    `removeJndiName` in interface `ResourceEnvRefType<T>`
  Returns:
    the current instance of `ResourceEnvRefType`

### getJndiName

    public java.lang.String getJndiName()

  Returns the `jndi-name` element

  Specified by:
    `getJndiName` in interface `ResourceEnvRefType<T>`
  Returns:
    the node defined for the element `jndi-name`

### setMappedName

    public ResourceEnvRefType<T> setMappedName(java.lang.String mappedName)

  If not already created, a new `mapped-name` element with the given value will be created. Otherwise, the existing `mapped-name` element will be updated with the given value.

  Specified by:
    `setMappedName` in interface `ResourceEnvRefType<T>`
  Returns:
    the current instance of `ResourceEnvRefType`

### removeMappedName

    public ResourceEnvRefType<T> removeMappedName()

  Removes the `mapped-name` element

  Specified by:
    `removeMappedName` in interface `ResourceEnvRefType<T>`
  Returns:
    the current instance of `ResourceEnvRefType`

### getMappedName

    public java.lang.String getMappedName()

  Returns the `mapped-name` element

  Specified by:
    `getMappedName` in interface `ResourceEnvRefType<T>`
  Returns:
    the node defined for the element `mapped-name`

### removeAllInjectionTarget

    public ResourceEnvRefType<T> removeAllInjectionTarget()

  Removes all `injection-target` elements

  Specified by:
    `removeAllInjectionTarget` in interface `ResourceEnvRefType<T>`
  Returns:
    the current instance of `ResourceEnvRefType`

### injectionTarget

    public InjectionTargetType<ResourceEnvRefType<T>> injectionTarget()

  Returns the `injection-target` element

  Specified by:
    `injectionTarget` in interface `ResourceEnvRefType<T>`
  Returns:
    the node defined for the element `injection-target`

### getInjectionTargetList

    public java.util.List<InjectionTargetType<ResourceEnvRefType<T>>> getInjectionTargetList()

  Returns all `injection-target` elements

  Specified by:
    `getInjectionTargetList` in interface `ResourceEnvRefType<T>`
  Returns:
    list of `injection-target`

### ignoreDependency

    public ResourceEnvRefType<T> ignoreDependency()

  Specified by:
    `ignoreDependency` in interface `ResourceEnvRefType<T>`

### isIgnoreDependency

    public java.lang.Boolean isIgnoreDependency()

  Specified by:
    `isIgnoreDependency` in interface `ResourceEnvRefType<T>`

### setDescription

    public ResourceEnvRefType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Specified by:
    `setDescription` in interface `ResourceEnvRefType<T>`
  Returns:
    the current instance of `ResourceEnvRefType`

### setDescriptionList

    public ResourceEnvRefType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Specified by:
    `setDescriptionList` in interface `ResourceEnvRefType<T>`
  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `ResourceEnvRefType`

### removeAllDescription

    public ResourceEnvRefType<T> removeAllDescription()

  Removes the `description` element

  Specified by:
    `removeAllDescription` in interface `ResourceEnvRefType<T>`
  Returns:
    the current instance of `ResourceEnvRefType`

### getDescriptionList

    public java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Specified by:
    `getDescriptionList` in interface `ResourceEnvRefType<T>`
  Returns:
    list of `description`

### setResourceEnvRefName

    public ResourceEnvRefType<T> setResourceEnvRefName(java.lang.String resourceEnvRefName)

  If not already created, a new `resource-env-ref-name` element with the given value will be created. Otherwise, the existing `resource-env-ref-name` element will be updated with the given value.

  Specified by:
    `setResourceEnvRefName` in interface `ResourceEnvRefType<T>`
  Returns:
    the current instance of `ResourceEnvRefType`

### removeResourceEnvRefName

    public ResourceEnvRefType<T> removeResourceEnvRefName()

  Removes the `resource-env-ref-name` element

  Specified by:
    `removeResourceEnvRefName` in interface `ResourceEnvRefType<T>`
  Returns:
    the current instance of `ResourceEnvRefType`

### getResourceEnvRefName

    public java.lang.String getResourceEnvRefName()

  Returns the `resource-env-ref-name` element

  Specified by:
    `getResourceEnvRefName` in interface `ResourceEnvRefType<T>`
  Returns:
    the node defined for the element `resource-env-ref-name`

### setResourceEnvRefType

    public ResourceEnvRefType<T> setResourceEnvRefType(java.lang.String resourceEnvRefType)

  If not already created, a new `resource-env-ref-type` element with the given value will be created. Otherwise, the existing `resource-env-ref-type` element will be updated with the given value.

  Specified by:
    `setResourceEnvRefType` in interface `ResourceEnvRefType<T>`
  Returns:
    the current instance of `ResourceEnvRefType`

### removeResourceEnvRefType

    public ResourceEnvRefType<T> removeResourceEnvRefType()

  Removes the `resource-env-ref-type` element

  Specified by:
    `removeResourceEnvRefType` in interface `ResourceEnvRefType<T>`
  Returns:
    the current instance of `ResourceEnvRefType`

### getResourceEnvRefType

    public java.lang.String getResourceEnvRefType()

  Returns the `resource-env-ref-type` element

  Specified by:
    `getResourceEnvRefType` in interface `ResourceEnvRefType<T>`
  Returns:
    the node defined for the element `resource-env-ref-type`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD